#	$NetBSD: CHANGES-1.4.1,v 1.1.2.9 1999/08/09 19:25:51 cgd Exp $

A complete list of changes from NetBSD 1.4 to NetBSD 1.4.1:

File						Version(s)
----						--------

sys/sys/mman.h					1.21

  Provide the (documented, but not #defined) MADV_SPACEAVAIL madvise()
  constant.  (cgd)

sys/arch/alpha/alpha/db_instruction.h		1.5
sys/arch/alpha/alpha/db_interface.c		1.7
sys/arch/alpha/alpha/db_disasm.c		1.6
sys/arch/alpha/alpha/trap.c			1.48-1.49

  Implement BWX instruction emulation and handle unaligned BWX
  accesses (for user processes) as required by the Alpha Architecture.
  Fixes PR#7536.  (cgd)

sys/compat/common/compat_util.c			1.13-1.14

  Fix emul_find()'s handling of in-kernel buffers (it could return
  incorrect pointers, which could lead to memory corruption).  (cgd)

sys/arch/alpha/stand/bootxx/bootxx.c		1.15
sys/arch/alpha/stand/common/bootxx.c		1.4
sys/arch/alpha/stand/netboot/if_prom.c		1.13

  Get the capitalization of the port name consistently correct.  (cgd)

distrib/utils/libhack/opendir.c			1.2
distrib/utils/libhack/perror.c			1.2
distrib/utils/libhack/strerror.c		1.2
distrib/utils/libhack/strsignal.c		1.2
distrib/utils/libhack/utmp.c			1.2

  Fix warnings that occurred compiling on some architectures.  (cgd)

usr.bin/crunch/crunchgen/crunchgen.c		1.11

  Put temporary files in /tmp and and change directory into
  source directories so that relative path specifications in
  Makefiles work properly.  (cgd)

sbin/disklabel/Makefile				1.33
sbin/disklabel/disklabel.c			1.70

  On NetBSD/alpha, go out of the way to read the boot area's contents
  if -r is specified, so that the boot blocks aren't clobbered when
  writing labels.  (cgd)

distrib/utils/script-installer/dot.instutils	1.5

  Explicitly mention that the domain name requested is the DNS
  domain name.  (cgd)

sys/arch/alpha/stand/installboot/installboot.c	1.16

  Fix a problem where disks would remain unbootable even after
  'installboot' was run because of an uninitialized value in
  the Alpha Boot Block.  (cgd)

usr.sbin/pkg_install/add/perform.c		1.31
usr.sbin/pkg_install/add/pkg_add.1		1.15
usr.sbin/pkg_install/lib/file.c			1.27

  Add support for http:// URLs in the package tools.  (cgd)

etc/etc.arm32/ttys				1.5

  Remove 'secure' from pty lines.  (cgd)

sys/arch/alpha/alpha/machdep.c			1.171
sys/arch/alpha/alpha/trap.c			1.45-1.46
sys/arch/alpha/alpha/osf1_locore.s		1.1 (new)
sys/arch/alpha/conf/ALPHA			1.96
sys/arch/alpha/conf/BABYLON			1.14
sys/arch/alpha/conf/GENERIC			1.118
sys/arch/alpha/conf/NOSY			1.29
sys/arch/alpha/conf/files.alpha			1.101
sys/arch/alpha/include/ecoff_machdep.h		1.5
sys/kern/kern_prot.c				1.54
sys/kern/uipc_syscalls.c			1.42
sys/kern/exec_ecoff.c				1.10
sys/sys/exec_ecoff.h				1.11
sys/sys/tty.h					1.47
sys/sys/ioctl.h					1.25
sys/compat/common/compat_util.c			1.12
sys/compat/common/compat_util.h			1.6
sys/compat/osf1/README.dynamic			1.2-1.3
sys/compat/osf1/README.syscalls			1.2
sys/compat/osf1/files.osf1			1.4-1.16
sys/compat/osf1/osf1.h				1.1-1.21 (new)
sys/compat/osf1/osf1_cvt.c			1.1-1.7 (new)
sys/compat/osf1/osf1_cvt.h			1.1-1.6 (new)
sys/compat/osf1/osf1_cvt_errno.c		1.1-1.5 (new)
sys/compat/osf1/osf1_cvt_signal.c		1.1 (new)
sys/compat/osf1/osf1_descrip.c			1.1-1.3,1.5 (new)
sys/compat/osf1/osf1_errno.h			1.1-1.3 (new)
sys/compat/osf1/osf1_exec.c			1.1 (new)
sys/compat/osf1/osf1_file.c			1.1-1.5 (new)
sys/compat/osf1/osf1_generic.c			1.1-1.2 (new)
sys/compat/osf1/osf1_ioctl.c			1.7-1.11
sys/compat/osf1/osf1_misc.c			1.16-1.52
sys/compat/osf1/osf1_mmap.c			1.1-1.3 (new)
sys/compat/osf1/osf1_mount.c			1.9-1.14
sys/compat/osf1/osf1_prot.c			1.1-1.2 (new)
sys/compat/osf1/osf1_resource.c			1.1-1.2 (new)
sys/compat/osf1/osf1_signal.c			1.7-1.16
sys/compat/osf1/osf1_signal.h			1.3-1.6
sys/compat/osf1/osf1_socket.c			1.1-1.5 (new)
sys/compat/osf1/osf1_sysv_ipc.c			1.1-1.2 (new)
sys/compat/osf1/osf1_time.c			1.1-1.2 (new)
sys/compat/osf1/osf1_util.h			1.4-1.5
sys/compat/osf1/syscalls.master			1.14-1.30
sys/compat/osf1/osf1_syscall.h			regenerate
sys/compat/osf1/osf1_syscallargs.h		regenerate
sys/compat/osf1/osf1_syscalls.c			regenerate
sys/compat/osf1/osf1_sysent.c			regenerate

  Make Digital UNIX (formerly DEC OSF/1) compatibilty functional again,
  and greatly improve it (implement support for dynamically linked
  binaries and more syscalls).  It's now capable of running many
  applications, including Netscape Navigator.  (cgd)

usr.bin/msgc/msg_sys.def			1.2-1.9
usr.bin/msgc/msgc.1				1.4
usr.bin/msgc/msgdb.c				1.3-1.5

  Various improvements to msgc(1) including editing improvements (word
  and line kill support via ^W and ^U respectively), various bug fixes,
  and some display optimizations.  (cgd)

usr.bin/menuc/main.c				1.5-1.6
usr.bin/menuc/mdb.c				1.13-1.14
usr.bin/menuc/mdb.h				1.4
usr.bin/menuc/menu_sys.def			1.16-1.21
usr.bin/menuc/parse.y				1.7
usr.bin/menuc/scan.l				1.8

  Various improvements to menuc(1) including bug fixes (more descriptive
  error messages, improved horizontal placement algorithm, separate
  initialization function for better error handling, better title
  position and menu sizing), and functionality enhancements (horizontal
  menu centering, ability to provide an "exit" item string).  (cgd)

Makefile.inc					1.5
SPELLING.en					1.1 (new)
TODO						1.18
arch/alpha/md.c					1.15-1.17
arch/alpha/md.h					1.3
arch/alpha/menus.md.en				1.1-1.9 (new)
arch/alpha/menus.md.eng				deleted
arch/alpha/menus.md.fr				1.7-1.9
arch/alpha/msg.md.en				1.1-1.4 (new)
arch/alpha/msg.md.eng				deleted
arch/alpha/msg.md.fr				1.3-1.4
arch/arm32/md.c					1.19-1.21
arch/arm32/md.h					1.7
arch/arm32/menus.md.en				1.1-1.8 (new)
arch/arm32/menus.md.eng				deleted
arch/arm32/menus.md.fr				1.5-1.7
arch/arm32/msg.md.en				1.1-1.4 (new)
arch/arm32/msg.md.eng				deleted
arch/arm32/msg.md.fr				1.2-1.3
arch/bebox/md.c					1.11-1.12
arch/bebox/md.h					1.2
arch/bebox/menus.md.en				1.1-1.7 (new)
arch/bebox/menus.md.eng				deleted
arch/bebox/menus.md.fr				1.4-1.6
arch/bebox/msg.md.en				1.1-1.5 (new)
arch/bebox/msg.md.eng				deleted
arch/bebox/msg.md.fr				1.2
arch/i386/md.c					1.27-1.29
arch/i386/md.h					1.15
arch/i386/menus.md.en				1.1-1.25 (new)
arch/i386/menus.md.eng				deleted
arch/i386/menus.md.fr				1.17-1.20
arch/i386/msg.md.en				1.1-1.15 (new)
arch/i386/msg.md.eng				deleted
arch/i386/msg.md.fr				1.10
arch/mac68k/md.c				1.6-1.8
arch/mac68k/md.h				1.2-1.3
arch/mac68k/menus.md.en				1.1-1.5 (new)
arch/mac68k/menus.md.eng			deleted
arch/mac68k/msg.md.en				1.1-1.4 (new)
arch/mac68k/msg.md.eng				deleted
arch/macppc/md.c				1.11-1.12
arch/macppc/md.h				1.3
arch/macppc/menus.md.en				1.1-1.8 (new)
arch/macppc/menus.md.eng			deleted
arch/macppc/menus.md.fr				1.6-1.8
arch/macppc/msg.md.en				1.1-1.3 (new)
arch/macppc/msg.md.eng				deleted
arch/macppc/msg.md.fr				1.2-1.3
arch/pc532/md.c					1.17
arch/pc532/md.h					1.7-1.8
arch/pc532/menus.md.en				1.1 (new)
arch/pc532/menus.md.eng				deleted
arch/pc532/menus.md.fr				1.4-1.5
arch/pc532/msg.md.en				1.1-1.6 (new)
arch/pc532/msg.md.eng				deleted
arch/pc532/msg.md.fr				1.2-1.3
arch/pmax/md.c					1.31-1.32
arch/pmax/md.h					1.11
arch/pmax/menus.md.en				1.1-1.11 (new)
arch/pmax/menus.md.eng				deleted
arch/pmax/menus.md.fr				1.4-1.6
arch/pmax/msg.md.en				1.1-1.6 (new)
arch/pmax/msg.md.eng				deleted
arch/pmax/msg.md.fr				1.2-1.3
arch/sparc/md.c					1.13-1.14
arch/sparc/md.h					1.1-1.2
arch/sparc/menus.md.en				1.1-1.8 (new)
arch/sparc/menus.md.eng				deleted
arch/sparc/menus.md.fr				1.6-1.8
arch/sparc/msg.md.en				1.1-1.3 (new)
arch/sparc/msg.md.eng				deleted
arch/sparc/msg.md.fr				1.2-1.3
arch/vax/md.c					1.7-1.8
arch/vax/md.h					1.2
arch/vax/menus.md.en				1.1-1.6 (new)
arch/vax/menus.md.eng				deleted
arch/vax/menus.md.fr				1.3-1.5
arch/vax/msg.md.en				1.1-1.3 (new)
arch/vax/msg.md.eng				deleted
arch/vax/msg.md.fr				1.2-1.3
defs.h						1.41-1.45
disks.c						1.27
factor.c					1.10
install.c					1.17-1.19
label.c						1.12
main.c						1.14-1.19
mbr.c						1.16
mbr.h						1.7
menus.mi.en					1.1-1.34 (new)
menus.mi.eng					deleted
menus.mi.fr					1.17-1.21
msg.mi.en					1.1-1.49 (new)
msg.mi.eng					deleted
msg.mi.fr					1.19-1.24
net.c						1.45-1.53
run.c						1.15-1.21
target.c					1.22
txtwalk.c					1.5
txtwalk.h					1.5
upgrade.c					1.18-1.20
util.c						1.41-1.46

  Many improvements and bug fixes.  Should address (at least) the
  following PRs: PR#4740, PR#5911, PR#6431, PR#6955. PR#7186, PR#7248,
  PR#7520, PR#7523, PR#7806, PR#7833, and PR#7839, as well as problems
  found when researching those PRs and some portions of other PRs.  Also
  includes various display improvements and cleanups, and support for
  word kill (^W) and line kill (^U) when responding to prompts.  (cgd)

usr.bin/ftp/cmds.c				1.51
usr.bin/ftp/cmdtab.c				1.21
usr.bin/ftp/complete.c				1.22-1.24
usr.bin/ftp/extern.h				1.29
usr.bin/ftp/fetch.c				1.56
usr.bin/ftp/ftp_var.h				1.32
usr.bin/ftp/main.c				1.43
usr.bin/ftp/util.c				1.50

  Modularize the "SMALL" #ifdefs so that the install media can include
  the progress meter but omit some other non-SMALL features (like
  editing/completion).  (cgd)

distrib/utils/x_ftp/Makefile			1.4-1.6

  Include progress meter support in the installation binaries.  It's not
  that large and it can be very handy when downloading the sets from a
  remote site.  (cgd)

sys/arch/arm32/conf/SHARK			1.22-1.23
sys/arch/arm32/conf/SHARKINST			1.1-1.3 (new)

  Clean up SHARK kernel memory disk-related options.  Add a kernel akin
  to SHARK with space for a memory disk, for diskless boot and
  installation.  (cgd)

distrib/arm32/ramdisk/Makefile			1.10
etc/etc.arm32/disktab				1.5-1.6

  Since all of the arm32 kernels provide 3400 blocks of ramdisk space,
  we ought to use it (and not just 3200 blocks).  (cgd)

distrib/alpha/instkernel/ramdisk/dot.hdprofile	1.2
distrib/alpha/instkernel/ramdisk/dot.profile	1.3
distrib/amiga/floppies/inst/dot.profile		1.5
distrib/amiga/floppies/upgr/dot.hdprofile	1.4
distrib/amiga/floppies/upgr/dot.profile		1.4
distrib/amiga/miniroot/dot.profile		1.5
distrib/arm32/floppies/inst/dot.hdprofile	1.3
distrib/arm32/floppies/inst/dot.profile		1.4
distrib/arm32/floppies/upgr/dot.hdprofile	1.3
distrib/arm32/floppies/upgr/dot.profile		1.4
distrib/arm32/ramdisk/dot.hdprofile		1.4
distrib/arm32/ramdisk/dot.profile		1.5
distrib/atari/miniroot/dot.profile		1.5
distrib/bebox/floppies/ramdisk/dot.hdprofile	1.2
distrib/bebox/floppies/ramdisk/dot.profile	1.2
distrib/hp300/miniroot/dot.profile		1.3
distrib/i386/floppies/ramdisk/dot.hdprofile	1.4
distrib/i386/floppies/ramdisk/dot.profile	1.6
distrib/mac68k/instkernel/ramdisk/dot.hdprofile	1.2
distrib/mac68k/instkernel/ramdisk/dot.profile	1.2
distrib/mac68k/miniroot/dot.profile		1.4
distrib/macppc/floppies/ramdisk/dot.profile	1.4
distrib/mvme68k/miniroot/dot.profile		1.3
distrib/pc532/floppies/inst/dot.hdprofile	1.5
distrib/pc532/floppies/inst/dot.profile		1.6
distrib/pc532/floppies/upgr/dot.hdprofile	1.5
distrib/pc532/floppies/upgr/dot.profile		1.5
distrib/pmax/ramdisk/dot.hdprofile		1.3
distrib/pmax/ramdisk/dot.profile		1.3
distrib/sparc/miniroot/dot.profile		1.3
distrib/sparc/ramdisk/dot.profile		1.4
distrib/sparc/ramdisk.sysinst/dot.profile.m4	1.2
distrib/sparc64/miniroot/dot.profile		1.2
distrib/vax/ramdisk/dot.hdprofile		1.2
distrib/vax/ramdisk/dot.profile			1.2
distrib/x68k/floppies/ramdisk/dot.hdprofile	1.4
distrib/x68k/floppies/ramdisk/dot.profile	1.5

  Arrange to have sysinst invoked automatically only when booting,
  so that children of sysinst don't accidentally reinvoke it when
  running subcommands wish a shell.  Fixes PR#7805.  (cgd)

distrib/arm32/ramdisk/list			1.3

  Cope with object directories.  Part of PR#7628.  (cgd)

etc/etc.arm32/MAKEDEV				1.32

  Include ptys on the ramdisk image, so that sysinst will work.  (cgd)

etc/etc.arm32/MAKEDEV				1.33
distrib/arm32/ramdisk/dot.profile		1.6
distrib/arm32/ramdisk/install.tmpl		1.4

  Create and name 'md' device nodes in the normal manner.  (cgd)

distrib/arm32/ramdisk/list			1.5
distrib/arm32/ramdisk/ramdiskbin.conf		1.5

  Support pax and swapctl on the install kernel ramdisk.  (cgd)

sbin/savecore/savecore.c			1.39

  Fix a bug that would cause savecore to crash if the the bounds file
  (usually /var/crash/bounds) could not be opened for writing.  Fixes
  PR#7887.  (cgd)

distrib/i386/floppies/Makefile			patch

  Build the NetBSD/i386 single-floppy installation floppy image.  (cgd)

share/man/man4/puc.4				1.6-1.7
sys/dev/pci/pucdata.c				1.5-1.6

  Add support for 36 more SIIG PCI serial/parallel cards (for a total
  of 37).  This means that all SIIG PCI serial/parallel cards (described
  on their web site as "I/O boards" as of July 2, 1999) should now be
  supported.  (cgd)

sys/uvm/uvm_amap.c				1.21

  Fix allocation failure handling bugs in amap_alloc1().  (cgd)

sys/uvm/uvm_mmap.c				1.28

  Sanity check on data size requested of mmap(), even though we don't
  do proper charging of mmap()'d space against the process's data size
  at this time.  Prevents unreasonably large allocations from from
  succeeding.  This is a band-aid for PR#7897.  (cgd)

sys/arch/pmax/conf/INSTALL			1.22

  Add CD9660 filesystem - useful for installing from CD-ROMs.  (simonb)

distrib/notes/pmax/install			1.20-1.21

  The name of the kernel on the diskimage is "netbsd" and not
  "install", and include the root-path in the bootptab and dhcpd.conf
  examples.  (simonb)

sys/arch/mac68k/dev/adb_direct.c		1.23

  make auto power off work on Performa 58x's.  (scottr)

sys/netinet/in_var.h				1.34

  fix INADDR_TO_IA().  (thorpej)

share/man/man7/release.7			1.7

  legalize INSTALL.{html,txt,ps,more}.  (is)

etc/etc.amiga/MAKEDEV				1.48

  create a few lpt* nodes.  (is)

distrib/miniroot/install.sub			1.28

  media options on sh-miniroot install.  (is)

sys/arch/amiga/dev/hyper.c			1.9
sys/arch/amiga/conf/GENERIC			1.123
sys/arch/amiga/conf/AMIGA			1.16
sys/arch/amiga/conf/DRACO			1.35

  Support for HyperCom 3+/4+ lpt ports.  (is)

sbin/ifconfig/ifconfig.c			1.51-1.52

  Don't force "inet" on status display.  (thorpej)

sys/arch/alpha/alpha/pmap.c			1.94

  Count new resident and wired pages in pmap_kenter*().   (thorpej)

sys/uvm/uvm_page.c				1.19

  If we run out of virtual space in uvm_pageboot_alloc(), fail
  gracefully rather than unpredictably.  (thorpej)

sys/arch/i386/i386/pmap.new.c			1.27
sys/arch/pc532/pc532/pmap.new.c			1.13
sys/uvm/uvm_map.c				1.40
sys/uvm/uvm_map.h				1.12
sys/uvm/uvm_page.c				1.20

  fix the 1G RAM bug.  (thorpej)

sys/dev/audio.c					1.114-1.115

  Don't clobber the error returned by uiomove() when starting the
  audio output (in case we got a partial block).  Fixes PR #7722,
  from Antti Kantee <pooka@iki.fi>.  (thorpej)

sys/kern/kern_time.c				1.37

  Make sure "olddelta" is a valid pointer.  (thorpej)

sys/kern/uipc_socket.c				1.45-1.48

  Fix problem with some transient errors becoming stuck.  Fixes PR
  #7640 from Havard Eidnes.  (thorpej)

sys/uvm/uvm_map.c				patch

  Fixes bug in mlock() of anonymous memory.  (thorpej)

sys/ddb/db_aout.c				1.26

  Don't load the symbol table if it's corrupted.  (thorpej)

distrib/utils/sysinst/msg.mi.fr			1.18
distrib/utils/sysinst/arch/i386/menus.md.fr	1.16
distrib/utils/sysinst/arch/i386/msg.md.fr	1.9

  Sync to English version.  (bouyer)

sys/arch/amiga/conf/GENERIC			1.124
syssrc/sys/arch/amiga/conf/AMIGA		1.17
sys/arch/amiga/conf/DRACO			1.36
sys/arch/amiga/conf/MDINSTALL			1.2

  Allow more than one ed,ed or qn interface.  (is)

sys/uvm/uvm_fault.c				1.29

  Fixes loss of process data under heavy paging bug.  (chuq)

distrib/mvme68k/miniroot/list			1.4

  remove strings(1) from list.  (scw)

sys/arch/arm32/arm32/bcopyinout.S		1.19

  Test for zero length copyin() was broken.  (scw)

sys/dev/ic/smc83c170.c				patch

  Fix transmit timeout problem.  (thorpej)

sys/netinet/if_arp.c				1.62
  When sending an ARP reply, make sure to set the length of
  the outgoing packet.  (thorpej)

syssrc/sys/dev/mii/inphyreg.h			1.2

  Correct a register number.  (thorpej)

sys/arch/x68k/x68k/locore.s			1.42,1.44

  Handle F line emulation correctly when FPU_EMULATE is
  enabled.  (minoura)

sys/arch/x68k/x68k/trap.c			1.32

  Handle T_ILLINST in kernel mode.  (minoura)

etc/etc.sun3/disktab				1.4-1.5
etc/Makefile					1.117-1.118
etc/etc.sun3/Makefile.inc			1.9
distrib/notes/common/contents			1.16
distrib/notes/sun3/hardware			1.6
distrib/notes/sun3/prep				1.5
distrib/notes/sun3/whatis			1.6
distrib/notes/sun3/xfer				1.6
distrib/sun3/Makefile.inc			1.7
distrib/sun3/common/Make.crunch			1.4
distrib/sun3/common/mini_bin.list		1.5
distrib/sun3/common/mini_usr.list		1.8
distrib/sun3/common/mr.disktab			1.2
distrib/sun3/miniroot/Makefile			1.12-1.15
distrib/sun3/ramdisk/Makefile			1.7-1.11
distrib/utils/libhack/Makefile.inc		1.5-1.7
distrib/utils/libhack/Makefile			1.7
distrib/sun3/Makefile				1.3

  Make sun3 install work again.  (gwr)

sys/arch/x68k/x68k/machdep.c			1.64

  Message cosmetics.  (minoura)

distrib/x68k/floppies/ramdisk/upgrade.tmpl	1.8

sys/arch/x68k/conf/ALL				revert 1.29.2.2
sys/arch/x68k/conf/GENERIC			revert 1.31.2.2
sys/arch/x68k/conf/INSTALL			revert 1.12.2.3
sys/arch/x68k/conf/SMALL			revert 1.17.2.2
sys/arch/x68k/conf/ZSCONS			revert 1.5.2.2

  FPU_EMULATE now works.  (minoura)

sys/arch/x68k/dev/intio.c			1.6

  Add missing ia_size argument.  (minoura)

sys/arch/x68k/include/pmap.h			1.14

  Missing #if for 060 & minor cosmetics.  (minoura)

sys/arch/x68k/x68k/pmap.c			1.33

  Disable on-chip cache for PT and ST pages for '060 stability.  (minoura)

sys/dev/isa/wdc_isa.c				1.15
sys/arch/i386/conf/GENERIC			1.235
sys/arch/i386/conf/INSTALL			1.117
sys/arch/i386/conf/INSTALL_SMALL		1.39
sys/arch/i386/conf/INSTALL_TINY			1.8
share/man/man4/wdc.4				1.4

  Enable 32-bit I/O to be specified in kernel configuration.  (bouyer)

lib/csu/common_elf/common.c			1.2

  Missing error indication in dlerror().  (kleink)

sys/vm/pmap.h					1.31

  Make a slight modification of pmap_growkernel() -- it now returns the
  end of the mappable kernel virtual address space.  Previously, it would
  get called more often than necessary, because the caller only new what
  was requested.
  Also, export uvm_maxkaddr so that uvm_pageboot_alloc() can grow the
  kernel pmap if necessary, as well.  Note that pmap_growkernel() must
  now be able to handle being called before pmap_init().  (thorpej)

bin/csh/proc.c					1.18-1.20

  Fix a potential memory corruption problem with the 'kill' builtin
  that showed itself on NetBSD/alpha as an unaligned access.  (cgd)

sys/msdosfs/msdosfs_vnops.c			1.81

  Silently ignore attributes modifications on directories. Fixes
  PR kern/7630 by Markus Kurek.  (tron)

usr.sbin/xntp/xntpd/ntp_io.c			1.10

  Fix abort when multiple interfaces had same IP address.  (bad)

sys/arch/amiga/amiga/disksubr.c			1.30

  Support for a ... somewhat strange method of doing >512 byte/block
  ADOSFS partitions. By Matthias Scheler via PR 2559. A diagnostic
  check was updated by myself.  (is)

sys/arch/mac68k/nubus/nubus.h			1.45
sys/arch/mac68k/nubus/grf_nubus.c		1.53

  PR 7021 from Yoshihisa Sugimoto <sugimoto@sums.shiga-med.ac.jp>: Clear
  interrupt properly on the RasterOps 24XLTV.  Same as the 24LX.  (briggs)

sys/arch/mac68k/conf/GENERIC			1.87
sys/arch/mac68k/conf/INSTALL			1.2

  Comment out DISABLE_EXT_CACHE.  (briggs)

sys/arch/m68k/fpe/fpu_add.c			1.3
sys/arch/m68k/fpe/fpu_arith.h			1.2
sys/arch/m68k/fpe/fpu_calcea.c			1.8
sys/arch/m68k/fpe/fpu_div.c			1.2
sys/arch/m68k/fpe/fpu_emulate.c			1.21
sys/arch/m68k/fpe/fpu_emulate.h			1.5
sys/arch/m68k/fpe/fpu_explode.c			1.3
sys/arch/m68k/fpe/fpu_fmovecr.c			1.7
sys/arch/m68k/fpe/fpu_fscale.c			1.10
sys/arch/m68k/fpe/fpu_fstore.c			1.7
sys/arch/m68k/fpe/fpu_implode.c			1.4
sys/arch/m68k/fpe/fpu_int.c			1.2
sys/arch/m68k/fpe/fpu_log.c			1.6
sys/arch/m68k/fpe/fpu_mul.c			1.2
sys/arch/m68k/fpe/fpu_rem.c			1.4
sys/arch/m68k/fpe/fpu_sqrt.c			1.2
sys/arch/m68k/fpe/fpu_subr.c			1.3

   Fix FPE.  (briggs)

sys/arch/alpha/conf/Makefile.alpha		1.50

  Fix generation of locore.s dependencies.  (ross)

distrib/notes/mac68k/install			1.21
distrib/notes/mac68k/prep			1.9

  Update.  (ender)

sys/adosfs/adosfs.h				1.16
sys/adosfs/adutil.c				1.18

  Incomplete check for the machine's endianness.  (kleink)

sys/arch/x68k/x68k/machdep.c			1.65

  mem_exists was called with wrong 2nd argument.  Because of
  this, >12MB high memory was not detected.  (minoura)

usr.bin/error/subr.c				1.7-1.8

  String overruns caused by incorrect bounds check.  (christos)

usr.sbin/cron/crontab.c				1.15

  PR/7662: TheMan: crontab does not think the file changed if the
  editing session took < 1sec.  (christos)

usr.bin/wall/wall.c				1.12

  Bogus check for mkstemp() return code [fixed].  (christos)

sys/dev/wscons/wsdisplay_compat_usl.c		1.8-1.9

  Fix X server bell pitch.  (christos)

usr.bin/make/parse.c				1.42

  Fix awful variable assignment bug in make.  (christos)

sys/arch/arm32/include/Makefile			1.6

  Make sure to install devmap.h.  (mark)

sys/arch/arm32/riscpc/rpc_machdep.c		1.29

  Fix bootstrap problems for ARM610, ARM710.  (mark)

distrib/arm32/ramdisk/Makefile			1.9

  Reduce the number of bytes per inode to 5120.  (mark)

lib/libc/arch/arm32/gen/infinity.c		1.6

  Fix definition of infinity.  (tron)

sys/ufs/ext2fs/ext2fs_vfsops.c			1.25

  Zero ump->um_e2fs after malloc.  (bouyer)

sys/dev/pci/if_fpa.c				1.29
sys/dev/pci/if_de.c				1.86

  Make sure bus mastering is enabled.  (thorpej)

sbin/mount_umap/mount_umap.c			1.8

  Fixes a trivial bug in gid handling.  (perseant)

sbin/disklabel/disklabel.8			1.27

  Kill some bogus comments about -r: it does not cause the boot
  area to be clobbered.  (cgd)

sys/dev/isa/ess.c				1.45

  Fix bug uncovered by audio.c fix: Since the monitor control
  on the ESS is a muting control, not a level control, change
  the name to reflect that.  (nathanw)

sys/arch/arm32/include/vidc.h			1.8

  Guard inclusion of opt_cputypes.h.  (mark)

sbin/fdisk/fdisk.c				1.37

  Update boot selector only if it needs updating.  (thorpej)

sys/arch/amiga/amiga/disksubr.c			1.31
sys/adosfs/adutil.c				1.19
sys/adosfs/advfsops.c				1.36
sys/adosfs/advnops.c				1.49

sbin/disklabel/disklabel.c			1.71-1.73

  Print/parse block size, fragment size and cpg for FS_ADOS.
  Make BSDLFS a EXT2FS-like filesystem, that is, dont print
  or parse the cpg field.  (is)

sys/arch/sparc/sparc/pmap.c			1.143-1.145
sys/arch/sparc/sparc/cpu.c			1.93

  Support for hypersparc CPU modules.  (pk)

distrib/i386/floppies/ramdisk/Makefile			1.14-1.15
distrib/i386/floppies/ramdisk/list			1.20
distrib/i386/floppies/ramdisk/dist/base_obsolete	removed
distrib/i386/floppies/ramdisk/dist/comp_obsolete	removed
distrib/i386/floppies/ramdisk/dist/games_obsolete	removed
distrib/i386/floppies/ramdisk/dist/man_obsolete		removed
distrib/i386/floppies/ramdisk/dist/misc_obsolete	removed
distrib/i386/floppies/ramdisk/dist/secr_obsolete	removed
distrib/i386/floppies/ramdisk/dist/xbase_obsolete	removed
distrib/i386/floppies/ramdisk/dist/xserver_obsolete	removed

  Autogen obsolete files list.  (bouyer)

sys/netinet/ip_output.c				1.60

  IP-Filter should filter multicast traffic.  (mrg)

sys/arch/atari/pci/pci_tseng.c			1.3

  Fix et4000 consoles.  (leo)

sys/nfs/nfsm_subs.h				1.20
sys/nfs/nfs_vnops.c				1.101

  Fix file creation with a Solaris 7 server.  (fvdl)

sys/dev/pci/pcidevs				1.124
sys/dev/pci/if_ex_pci.c				1.6
sys/dev/pci/pcidevs.h				(regen)
sys/dev/pci/pcidevs_data.h			(regen)

  Recognize another 390xB card.  (fvdl)

sys/arch/amiga/dev/siop2.c			1.12
sys/arch/amiga/dev/cbiiisc.c			1.5

  Disable adapter if completely unterminated.  (is)

sys/arch/x68k/dev/ite.c				1.18
sys/arch/x68k/x68k/machdep.c			1.66

  Move config_console to ensure that it is always called. (minoura)

usr.bin/ftp/cmds.c				1.48-1.49
usr.bin/ftp/fetch.c				1.53-1.55
usr.bin/ftp/ftp.1				1.37-1.40
usr.bin/ftp/ftp.c				1.42-1.44
usr.bin/ftp/main.c				1.41-1.42
usr.bin/ftp/util.c				1.47-1.49

  Fix several problems with ftp.  Split "SMALL" #ifdefs into fine-grained
  NO_SOMETHING #ifdefs.  Fix user@host for TIS fwtk (fixes PR #5556).
  Parse http:// URLs for username and password.  Parse ftp:// URLs exactly
  as specified in RFC 1738.  Only enabled command line editing if stdin
  is a tty.  (lukem)

lib/libc/arch/ns32k/string/strcmp.S		1.4
lib/libc/arch/ns32k/string/strcpy.S		1.4
lib/libc/arch/ns32k/string/strncmp.S		1.4

  Go for correctness instead of speed as suggested by Ian Dall. This
  fixes PR #7710.  (matthias)

sys/arch/pc532/stand/common/machdep.c		1.3

  Fix symbol loading. esym is passed as an offset to loadaddress.  (matthias)

gnu/dist/gdb/config/ns32k/tm-nbsd.h		1.5

  GDB no longer did tracebacks on the pc532. Use unsigned not signed
  compares when winding up the stack. Thank's to Ian Dall for this fix
  (PR #7711).  (matthias)

sys/miscfs/umapfs/umap_vnops.c			1.14

  Remove calls to NULLFS.  (wrstuden)

sys/arch/m68k/m68k/db_disasm.c			1.23

  Someone forgot to tell ddb that SWAP is not PEA.  (scottr)

usr.bin/audio/record/record.c			1.5

  Fix -C option.  (jtk)

usr.bin/man/man.1				1.8
usr.bin/man/man.c				1.16
usr.bin/msgs/msgs.1				1.9
usr.bin/msgs/msgs.c				1.15
usr.bin/ftp/cmds.c				1.50
usr.bin/ftp/ftp.1				1.41

  Fall back to more(1) if PAGER is set but null.  (kleink)

sys/dev/raidframe/rf_diskqueue.c		1.7
sys/dev/raidframe/rf_disks.c			1.9
sys/dev/raidframe/rf_netbsdkintf.c		1.19

  At config time, initialize a small amount of space for the disk
  queues corresponding to the hot spares.  We'll need that space
  when a spare is actually added.  Huge Thanks to Martin Laubach
  for helping track this down.  (oster)

etc/root/dot.cshrc				1.10

  Check for /usr/bin/id before using.  (abs)

distrib/sets/lists/xbase/md.arm32		1.7 via patch

  Add X11 server binaries, etc.  (mark)

libexec/ld.elf_so/load.c			1.4
libexec/ld.elf_so/rtld.c			1.19
libexec/ld.elf_so/rtld.h			1.11

  LD_PRELOAD support.  (kleink)

usr.sbin/traceroute/traceroute.c		1.31,1.33

  Fix byte ordering and UDP length bugs.  (is)

libexec/tftpd/tftpd.c				1.17

  Truncate a file when writing.  (carrel)

sys/dev/tc/asc.c				1.54

  Significantly reduce or eliminate problems reported in PR #5510
  (SCSI DMA problems).  (mhitch)

sys/dev/scsipi/cd.c				1.127

  Ignore transient "media error" when ejecting CD-ROM's.  (bouyer)

sys/dev/pci/pciide.c				1.38

  For the PIIX, make sure the PIO_mode and DMA_mode get reset to the
  values used by the controller for all drives.  (bouyer)

sys/dev/ic/wdc.c				1.68

  Fix PR #7702.  Avoid false matches on controllers which properly respond
  to a WDCC_RECAL command.  (bouyer)

sys/arch/sparc/conf/files.sparc			1.77

  Fixes COMPAT_SUNOS && !COMPAT_13.  (pk)

sys/arch/x68k/dev/sram.c			1.6
sys/arch/x68k/dev/sramvar.h			1.2

  Check file open mode at ioctl.  Add debug option
  SRAM_DEBUG_DONTDOIT.  (minoura)

sys/arch/x68k/dev/mfp.c				1.4
sys/arch/x68k/include/cpu.h			1.18
sys/arch/x68k/include/param.h			1.12
sys/arch/x68k/x68k/locore.s			1.46
sys/arch/x68k/x68k/machdep.c			1.67

  Use mvme68k-derived delay() routine.  (minoura)

sys/dev/tc/asc.c				1.55

  Fix interrupt problems with ASC SCSI.  (mhitch)

sys/net/pfil.c					1.8

  Call pfil_list_add with the right flag, to ensure it goes into the
  right list.  Fixes PR #7802 from mike@pelley.com.  (mrg)

sys/kern/subr_extent.c				1.25-1.27
sys/kern/subr_pool.c				1.27
sys/dev/rnd.c					1.16
sys/dev/scsipi/scsipi_base.c			1.22
sys/dev/scsipi/scsi_base.c			1.67

  Deal with missing "raise interrupt level" code.  (pk)

sys/net/if_ethersubr.c				1.43

  Allocate mbuf with M_DONTWAIT in ether_output().  (bouyer)

sbin/ping/ping.c				1.48

  Turn of nokerninfo flag correctly when exiting.  (sommerfeld)

sbin/ping/ping.8				1.28-1.30

  Remove duplicate paragraph, fix a typo.  (sommerfeld)

sys/arch/macppc/macppc/machdep.c		1.45
sys/dev/usb/ukbd.c				1.31
sys/dev/pci/ohci_pci.c				1.8
sys/dev/pci/uhci_pci.c				1.6

  Rewrite USB keyboard attachment.  (tsubai)

sys/dev/scsipi/atapi_base.c			1.12

  Go to splbio() when calling scsipi_free_xs().  (thorpej)

sys/arch/x68k/x68k/machdep.c			1.68

  Print both the core clock and the bus clock on 040/060 machines.  (minoura)

sys/dev/usb/ohci.c				1.28-1.32

  Fix various bugs in USB support.  (augustss)

sys/ufs/lfs/lfs.h				1.16
sys/ufs/lfs/lfs_alloc.c				1.22
sys/ufs/lfs/lfs_balloc.c			1.13
sys/ufs/lfs/lfs_inode.c				1.26
sys/ufs/lfs/lfs_segment.c			1.27
libexec/lfs_cleanerd/cleanerd.c			1.14
sbin/newfs_lfs/lfs.c				1.4

  Fix various bugs in LFS.  (perseant)

usr.bin/sed/process.c				1.25

  Fix bug pointed out by Jerry Peek <jpeek@jpeek.com> in PR #7674.  If
  hold space null when doing an 'G', make sure it contains a newline.
  Fix copied from revision 1.17 where cgd applied a fix for 'x'.  (kim)

lib/libc/sys/socket.2				1.14

  Add missing reference to setsockopt(2) to "SEE ALSO" section.  (tron)

sys/arch/sparc/sparc/cpu.c			1.94

  When overriding cache flush functions for specific cpu models, make
  sure to update the correct function pointers in `cpuinfo'.  (pk)

sys/dev/pckbc/pckbd.c				1.19

  Fix "extended" prefixes on PC keyboard.  (drochner)

usr.sbin/greconfig/greconfig.c			1.5

  If returning a pointer to something on the stack, make it a static.  (explorer)

libexec/ld.aout_so/arch/vax/md.c		1.15
libexec/ld.aout_so/arch/vax/mdprologue.S	1.10

  Make longjmp work with dynamic linking.  Fixes PR #7671.  (ragge)

sys/arch/amiga/dev/ite_cl.c			1.4

  Fix grf3 problems.  (is)

usr.sbin/traceroute/traceroute.c		1.36

  Only require half of the responses to indicate that the destination is
  unreachable.  This makes traceroute exit when it encounters a Cisco, which
  typically does not respond to every other probe (or so) when either there
  is no route to the destionation or an access list is blocking the probes.  (kim)

usr.bin/audio/play/play.c			1.10

  Fix bug in setting number of channels which would also set the control
  device.  (jtk)

sys/arch/mac68k/mac68k/clock.c			1.37-1.38
sys/arch/mac68k/mac68k/locore.s			1.115-1.117

  re-implement delay().  (scottr)

bin/sh/eval.c					1.46

  Fix bugs with non-forking shell `builtins`.  (christos)

sys/arch/mac68k/mac68k/machdep.c		1.236

  Fix serial console on Quadra 900/950.  (briggs)

distrib/sparc/bootfs/list			1.2
sys/arch/sparc/conf/INSTALL			1.9
distrib/notes/sparc/install			1.20
distrib/miniroot/install.sub			1.29-1.30
distrib/miniroot/makeconf.awk			1.6
distrib/miniroot/mtree.conf			1.5
distrib/sparc/install.md			1.12
distrib/sparc/miniroot/list			1.12
distrib/sparc/ramdisk/Makefile			1.11
distrib/sparc/ramdisk/dot.profile		1.5
distrib/sparc/ramdisk/ramdiskbin.conf		delete
distrib/sparc/ramdisk/list			1.9
distrib/utils/libhack/Makefile			1.8
distrib/utils/libhack/Makefile.inc		1.8

  Make the sparc installer work again.  (mrg)

gnu/lib/libbfd/config.h				1.2

  nuke USE_MMAP.  (kristerw)

sys/dev/usb/ohcivar.h				1.5

  Keep track of vendor id and make sure the vendor string is NUL
  terminated.  (augustss)

lib/libc/arch/arm32/fplib/environment.h		1.5
lib/libc/arch/arm32/fplib/fplib_glue.S		1.2
lib/libc/arch/arm32/fplib/fplib_libc.c		1.3
lib/libc/arch/arm32/fplib/softfloat-macros.h	1.5
lib/libc/arch/arm32/fplib/softfloat-specialize.h	1.4
lib/libc/arch/arm32/fplib/softfloat.c		1.4
lib/libc/arch/arm32/fplib/softfloat.h		1.4
sys/arch/arm32/include/asm.h			1.12

  Fix namespace conflict.  (kleink)

etc/etc.vax/MAKEDEV				1.24-1.25

  Add `raid' and `rnd'.  (abs)

libexec/lfs_cleanerd/cleanerd.c			1.15
  Correct wrong conversion specifications in calls to syslog(3).  (perseant)

usr.sbin/rpc.yppasswdd/rpc.yppasswdd.8		1.7
share/man/man8/yp.8				1.14

  Remove last traces of securenet and ypserv.acl.  (abs)

sbin/dump/dump.8				1.33
sbin/restore/restore.8				1.25

  Correct default device from /dev/rst0 to /dev/nrst0.  (abs)

sys/net/if_gre.c				1.8
share/man/man4/gre.4				1.7

  Add LINK1 flag to turn off that address munging thing, for cases
  where the tunnel endpoint is not the same as the remote GRE
  destination.  (explorer)

sys/arch/x68k/dev/ite.c				1.20
sys/arch/x68k/dev/ite_tv.c			1.7

  Restore scroll registers after X server exits.  (minoura)

sys/arch/sparc/include/pmap.h			1.39

  Fix prototype for mmu_pagein() to use vaddr_t.  (pk)

sys/arch/sparc/sparc/pmap.c			1.148

  Refuse kernel address spaces in mmu_pagein().

sys/arch/sparc/conf/Makefile.sparc		1.160

  Allow SFILES to be empty; from Julian Coleman.  (pk)

distrib/notes/amiga/hardware			1.33

  NetBSD supports HyperCom[34]+.  Fix table formatting. (is)

usr.bin/top/machine/m_netbsd13.c		1.5

  Avoid duplicate free().  (tron)

distrib/notes/x68k/hardware			patch

  Update.  (minoura)

usr.bin/ftp/fetch.c				1.58

  Don't search for trailing `;type=' in a NULL path.  Fixes
  PR #7800 by Mason Loring Bliss.  (lukem)

sys/arch/alpha/alpha/cpu.c			1.36
sys/arch/alpha/alpha/cpuconf.c			1.22
sys/arch/alpha/conf/ALPHA			1.97
sys/arch/alpha/conf/GENERIC			1.122
sys/arch/alpha/conf/INSTALL			1.27
sys/arch/alpha/conf/files.alpha			1.103
sys/arch/alpha/include/intrcnt.h		1.18
sys/arch/alpha/include/rpb.h			1.32
sys/arch/alpha/include/alpha.h			1.4
sys/arch/alpha/alpha/machdep.c			1.177

  Add support for Alpha 21264 ev6 based systems.  (ross)

distrib/notes/amiga/prep			1.19

  Warn users to use 512 bps media.  (is)

distrib/amiga/miniroot/install.md		1.10

  Warn users not to use partition c.  (is)

sys/arch/amiga/dev/grf_cl.c			1.25

  Fix grf_cl console mode timing.  (is)

distrib/amiga/miniroot/install.md		1.11

  Fix installer programs.  (is)

sys/netiso/iso_snpac.c				1.21

  Add multicast address like everyone else, using if_ioctl.  (chopps)

distrib/sparc/miniroot/list			1.13
distrib/miniroot/mtree.conf			1.6

  Fix sparc miniroot list to build /kern as other ports.  (mrg)

bin/pax/pax.h					1.6
bin/pax/tables.c				1.9

  Use $TMPDIR and _PATH_TMP, rather than hardcoding /tmp.  (kleink)

sys/dev/scsipi/atapiconf.c			1.26

  Add another CD to the quirk table.  (bouyer)

usr.bin/vi/vi/vs_refresh.c			1.3

  Fix an ugly SEGV.  (dean)

distrib/x68k/floppies/ramdisk/Makefile		patch

  Wouldn't compile without this.  (minoura)

lib/libz/Makefile				1.13

  Do not link in main() to libz.  (garbled)

sys/kern/vfs_getcwd.c				patch

  Pull up NetBSD-current version of getcwd implementation.  Fixes:
    PR #7944: getcwd permission checking overly strict.
    PR #7761: getcwd with large buffer fails spuriously.
    PR #7373: recursive lock deadlock for adosfs
  Also, significant code cleanup to error paths which may fix the
  problems reported in PR #7881.  (sommerfeld)

sys/arch/vax/vax/trap.c				1.45-1.46
sys/arch/vax/vax/intvec.s			1.38
sys/arch/vax/vax/pmap.c				patch
sys/arch/vax/include/pte.h			1.12

  Fix critical paging/swapping problems.  (ragge)

distrib/utils/sysinst/mbr.c			1.18
distrib/utils/sysinst/mbr.h			1.8
distrib/utils/sysinst/arch/bebox/md.c		1.13
distrib/utils/sysinst/arch/i386/md.c		1.31

  Fix upgrade core dump.  (fvdl)

sys/conf/osrelease.sh				patch

  Update version to 1.4.1.  (perry)

sys/sys/param.h					patch

  Update version to 1.4.1.  (perry)

distrib/utils/sysinst/run.c			1.24

  Avoid looping forever when installing.  (abs)

sys/dev/rnd.c					patch

  Correctly protect critical section in rnd_extract_data().  (ross)

sys/arch/alpha/pci/sio_pic.c			1.24

  Fix the 16-bytes-of-death bug by generating specific-EOI cycles
  during sio_intr_setup().  (ross)

sys/arch/alpha/alpha/dec_3000_300.c		1.28
sys/arch/alpha/alpha/dec_3000_500.c		1.27
sys/arch/alpha/tc/scc.c				1.46
sys/arch/alpha/tc/sccvar.h			1.6

  DEC 3000-series machines always use a serial console, even if the
  firmware was using the display.  Tell users what's happening when
  we switch, otherwise almost everyone just thinks the installation
  has locked up.  (ross)

distrib/utils/sysinst/arch/pmax/md.c		1.33

  Remove md_copy_filesystem()'s contents for NetBSD/pmax.  (simonb)

sys/kern/kern_exec.c				1.102

  Stop profiling when execve()ing another program.  Addresses NetBSD
  Security Advistory SA1999-011.  (ross)

sys/arch/pmax/include/Makefile			1.10 via patch
distrib/sets/lists/comp/md.pmax			1.32

  Install tc_machdep.h so the X server will build.  (simonb)

distrib/notes/common/main			1.21

  Fix accidental omission of Chris Hopps from the developers
  list.  (chopps)
